package j2d.gui.menu;

import bookExamples.ch26Graphics.draw2d.DrawMain;
import bookExamples.ch26Graphics.draw2d.shapes.ImageShape;
import gui.ClosableJFrame;
import j2d.ImageProcessorInterface;

import java.awt.*;

/**
 * Created by IntelliJ IDEA.
 * User: lyondo
 * Date: Nov 28, 2005
 * Time: 3:43:49 PM
 */
public class RoiProcessor implements ImageProcessorInterface {

    public Image process(Image image) {
        DrawMain dm = new DrawMain();
        ClosableJFrame cf = new ClosableJFrame("DocJavaDraw");
        cf.setJMenuBar(dm.getRunMenuBar());
        int w = image.getWidth(null);
        int h = image.getHeight(null);
        dm.setLastSelectedShape(new ImageShape(0, 0, w, h, image));
        Container c = cf.getContentPane();
        c.setLayout(new BorderLayout());
        c.add(dm, BorderLayout.CENTER);
        cf.setSize(300, 300);
        cf.setVisible(true);
        while (!dm.isImageDone()){
            try {
                Thread.sleep(1000);
            } catch (InterruptedException e) {

            }
        }
        return dm.getImage();

    }
}
